package com.sun.org.apache.xerces.internal.impl.xs.models;

import java.util.ArrayList;
import com.sun.org.apache.xerces.internal.impl.xs.XMLSchemaException;
import com.sun.org.apache.xerces.internal.impl.xs.SubstitutionGroupHandler;
import com.sun.org.apache.xerces.internal.xni.QName;
import java.util.List;

public class XSEmptyCM implements XSCMValidator
{
    private static final short STATE_START = 0;
    private static final List<Object> EMPTY;
    
    public XSEmptyCM() {
    }
    
    @Override
    public int[] startContentModel() {
        return new int[] { 0 };
    }
    
    @Override
    public Object oneTransition(QName elementName, int[] currentState, SubstitutionGroupHandler subGroupHandler) {
        if (currentState[0] < 0) {
            currentState[0] = -2;
            return null;
        }
        currentState[0] = -1;
        return null;
    }
    
    @Override
    public boolean endContentModel(int[] currentState) {
        boolean isFinal = false;
        int state = currentState[0];
        return state >= 0;
    }
    
    @Override
    public boolean checkUniqueParticleAttribution(SubstitutionGroupHandler subGroupHandler) throws XMLSchemaException {
        return false;
    }
    
    @Override
    public List<Object> whatCanGoHere(int[] state) {
        return XSEmptyCM.EMPTY;
    }
    
    @Override
    public ArrayList checkMinMaxBounds() {
        return null;
    }
    
    @Override
    public int[] occurenceInfo(int[] state) {
        return null;
    }
    
    @Override
    public String getTermName(int termId) {
        return null;
    }
    
    @Override
    public boolean isCompactedForUPA() {
        return false;
    }
    
    static {
        EMPTY = new ArrayList(0);
    }
}
